# swagger-client
Ingram Micro APIs for invoice management.  *Production URL - https://api.ingrammicro.com:443/resellers/v5*

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 5.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen
For more information, please visit [https://developer.ingrammicro.com/contact](https://developer.ingrammicro.com/contact)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure OAuth2 access token for authorization: application
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.InvoicesApi(swagger_client.ApiClient(configuration))
invoice_number = 'invoice_number_example' # str | Ingram Micro Invoice Number
customer_number = '20-222222' # str | Your unique Ingram Micro customer number (default to 20-222222)
iso_country_code = 'US' # str | ISO 2 char country code (default to US)

try:
    # Get invoice details
    api_response = api_instance.get_invoices(invoice_number, customer_number, iso_country_code)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InvoicesApi->get_invoices: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.ingrammicro.com:443/sandbox/resellers/v5*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*InvoicesApi* | [**get_invoices**](docs/InvoicesApi.md#get_invoices) | **GET** /invoices/{invoiceNumber} | Get invoice details

## Documentation For Models

 - [AddressType](docs/AddressType.md)
 - [InvoiceDetails](docs/InvoiceDetails.md)
 - [InvoiceDetailsServiceresponse](docs/InvoiceDetailsServiceresponse.md)
 - [InvoiceDetailsServiceresponseInvoicedetailresponse](docs/InvoiceDetailsServiceresponseInvoicedetailresponse.md)
 - [InvoiceDetailsServiceresponseInvoicedetailresponseExtendedspecs](docs/InvoiceDetailsServiceresponseInvoicedetailresponseExtendedspecs.md)
 - [InvoiceDetailsServiceresponseInvoicedetailresponseMiscfeeline](docs/InvoiceDetailsServiceresponseInvoicedetailresponseMiscfeeline.md)
 - [InvoiceDetailsServiceresponseResponsepreamble](docs/InvoiceDetailsServiceresponseResponsepreamble.md)
 - [ProductLineType](docs/ProductLineType.md)
 - [ProductLineTypeSerialnumberdetails](docs/ProductLineTypeSerialnumberdetails.md)
 - [ProductLineTypeTrackingnumberdetails](docs/ProductLineTypeTrackingnumberdetails.md)

## Documentation For Authorization


## application

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: 
 - ****: 


## Author


