# swagger_client.InvoicesApi

All URIs are relative to *https://api.ingrammicro.com:443/sandbox/resellers/v5*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_invoices**](InvoicesApi.md#get_invoices) | **GET** /invoices/{invoiceNumber} | Get invoice details

# **get_invoices**
> InvoiceDetails get_invoices(invoice_number, customer_number, iso_country_code)

Get invoice details

A request that allows the customer to query Ingram Micro for invoice details for a specific open or shipped order (in the past 9 months).  *NOTE: invoiceNumber, isoCountryCode and customerNumber is mandatory.*

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure OAuth2 access token for authorization: application
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.InvoicesApi(swagger_client.ApiClient(configuration))
invoice_number = 'invoice_number_example' # str | Ingram Micro Invoice Number
customer_number = '20-222222' # str | Your unique Ingram Micro customer number (default to 20-222222)
iso_country_code = 'US' # str | ISO 2 char country code (default to US)

try:
    # Get invoice details
    api_response = api_instance.get_invoices(invoice_number, customer_number, iso_country_code)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InvoicesApi->get_invoices: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **invoice_number** | **str**| Ingram Micro Invoice Number | 
 **customer_number** | **str**| Your unique Ingram Micro customer number | [default to 20-222222]
 **iso_country_code** | **str**| ISO 2 char country code | [default to US]

### Return type

[**InvoiceDetails**](InvoiceDetails.md)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

