# coding: utf-8

"""
    Invoice APIs

    Ingram Micro APIs for invoice management.  *Production URL - https://api.ingrammicro.com:443/resellers/v5*  # noqa: E501

    OpenAPI spec version: 5.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class InvoicesApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def get_invoices(self, invoice_number, customer_number, iso_country_code, **kwargs):  # noqa: E501
        """Get invoice details  # noqa: E501

        A request that allows the customer to query Ingram Micro for invoice details for a specific open or shipped order (in the past 9 months).  *NOTE: invoiceNumber, isoCountryCode and customerNumber is mandatory.*  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_invoices(invoice_number, customer_number, iso_country_code, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str invoice_number: Ingram Micro Invoice Number (required)
        :param str customer_number: Your unique Ingram Micro customer number (required)
        :param str iso_country_code: ISO 2 char country code (required)
        :return: InvoiceDetails
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_invoices_with_http_info(invoice_number, customer_number, iso_country_code, **kwargs)  # noqa: E501
        else:
            (data) = self.get_invoices_with_http_info(invoice_number, customer_number, iso_country_code, **kwargs)  # noqa: E501
            return data

    def get_invoices_with_http_info(self, invoice_number, customer_number, iso_country_code, **kwargs):  # noqa: E501
        """Get invoice details  # noqa: E501

        A request that allows the customer to query Ingram Micro for invoice details for a specific open or shipped order (in the past 9 months).  *NOTE: invoiceNumber, isoCountryCode and customerNumber is mandatory.*  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_invoices_with_http_info(invoice_number, customer_number, iso_country_code, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str invoice_number: Ingram Micro Invoice Number (required)
        :param str customer_number: Your unique Ingram Micro customer number (required)
        :param str iso_country_code: ISO 2 char country code (required)
        :return: InvoiceDetails
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['invoice_number', 'customer_number', 'iso_country_code']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_invoices" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'invoice_number' is set
        if ('invoice_number' not in params or
                params['invoice_number'] is None):
            raise ValueError("Missing the required parameter `invoice_number` when calling `get_invoices`")  # noqa: E501
        # verify the required parameter 'customer_number' is set
        if ('customer_number' not in params or
                params['customer_number'] is None):
            raise ValueError("Missing the required parameter `customer_number` when calling `get_invoices`")  # noqa: E501
        # verify the required parameter 'iso_country_code' is set
        if ('iso_country_code' not in params or
                params['iso_country_code'] is None):
            raise ValueError("Missing the required parameter `iso_country_code` when calling `get_invoices`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'invoice_number' in params:
            path_params['invoiceNumber'] = params['invoice_number']  # noqa: E501

        query_params = []
        if 'customer_number' in params:
            query_params.append(('customerNumber', params['customer_number']))  # noqa: E501
        if 'iso_country_code' in params:
            query_params.append(('isoCountryCode', params['iso_country_code']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['application']  # noqa: E501

        return self.api_client.call_api(
            '/invoices/{invoiceNumber}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InvoiceDetails',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
